"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageDto = exports.imageSchema = void 0;
const translate_1 = require("../../i18n/translate");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = require("zod");
exports.imageSchema = zod_1.z.object({
    id: zod_1.z.string().uuid({
        message: (0, translate_1.translate)('model.image.id.uuid'),
    }),
    url: zod_1.z
        .string()
        .url({
        message: (0, translate_1.translate)('model.image.url.url'),
    })
        .optional(),
    title: zod_1.z.string().optional(),
    description: zod_1.z.string().optional(),
});
class ImageDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.imageSchema) {
}
exports.ImageDto = ImageDto;
//# sourceMappingURL=image.dto.js.map